Update a plan subscription
curl --request PATCH \
--url https://b.anny.co/api/v1/plan-subscriptions/{plan_subscription_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "<string>",
"type": "plans",
"attributes": {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"plain_description": "<string>",
"currency": "<string>",
"price": 123,
"tax_rate": 123,
"is_net_price": true,
"invoice_period": 123,
"invoice_interval": "<string>",
"signup_fee": 123,
"trial_period": 123,
"allow_switching": true,
"minimum_term": 123,
"is_active": true,
"is_visible": true,
"created_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"features": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"group": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"cover_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"communities": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"booking_quotas": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"legal_document_links": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
}
}
}
}
'import requests
url = "https://b.anny.co/api/v1/plan-subscriptions/{plan_subscription_id}"
payload = { "data": {
"id": "<string>",
"type": "plans",
"attributes": {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"plain_description": "<string>",
"currency": "<string>",
"price": 123,
"tax_rate": 123,
"is_net_price": True,
"invoice_period": 123,
"invoice_interval": "<string>",
"signup_fee": 123,
"trial_period": 123,
"allow_switching": True,
"minimum_term": 123,
"is_active": True,
"is_visible": True,
"created_at": "<string>"
},
"links": { "self": "<string>" },
"relationships": {
"features": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": { "self": "<string>" }
},
"group": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": { "self": "<string>" }
},
"cover_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": { "self": "<string>" }
},
"communities": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": { "self": "<string>" }
},
"booking_quotas": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": { "self": "<string>" }
},
"legal_document_links": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": { "self": "<string>" }
}
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '<string>',
type: 'plans',
attributes: {
name: '<string>',
slug: '<string>',
description: '<string>',
plain_description: '<string>',
currency: '<string>',
price: 123,
tax_rate: 123,
is_net_price: true,
invoice_period: 123,
invoice_interval: '<string>',
signup_fee: 123,
trial_period: 123,
allow_switching: true,
minimum_term: 123,
is_active: true,
is_visible: true,
created_at: '<string>'
},
links: {self: '<string>'},
relationships: {
features: {data: [{type: '<string>', id: '<string>'}], links: {self: '<string>'}},
group: {data: {type: '<string>', id: '<string>'}, links: {self: '<string>'}},
cover_image: {data: {type: '<string>', id: '<string>'}, links: {self: '<string>'}},
communities: {data: [{type: '<string>', id: '<string>'}], links: {self: '<string>'}},
booking_quotas: {data: [{type: '<string>', id: '<string>'}], links: {self: '<string>'}},
legal_document_links: {data: [{type: '<string>', id: '<string>'}], links: {self: '<string>'}}
}
}
})
};
fetch('https://b.anny.co/api/v1/plan-subscriptions/{plan_subscription_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "plans",
"attributes": {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"plain_description": "<string>",
"currency": "<string>",
"price": 123,
"tax_rate": 123,
"is_net_price": true,
"invoice_period": 123,
"invoice_interval": "<string>",
"signup_fee": 123,
"trial_period": 123,
"allow_switching": true,
"minimum_term": 123,
"is_active": true,
"is_visible": true,
"created_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"features": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"group": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"cover_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"communities": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"booking_quotas": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"legal_document_links": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
}
}
}
}Plans & Passes
Update a plan subscription
PATCH
/
api
/
v1
/
plan-subscriptions
/
{plan_subscription_id}
Update a plan subscription
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
The plan subscription identifier.
Abfrageparameter
Organization ID
Body
application/vnd.api+json
A subscription plan offering recurring access to services, communities, and booking quotas.
Show child attributes
Show child attributes
Antwort
200 - application/vnd.api+json
OK
A subscription plan offering recurring access to services, communities, and booking quotas.
Show child attributes
Show child attributes
⌘I